-------------------- Заголовочный экран -----------------------------

titleScreen = Conteiner:new('Главный экран')
titleScreen.obj = { 
                    Image:new(false, MARGIN*4, MARGIN*3, gfx.new('logo.png')),
                    --Image:new(false, MARGIN*3, MARGIN*3, spr.logo),
                    --Label:new(false, 4*WIDTH/5+30, HEIGTH-MARGIN-5,'v1'),
                    PicButton:new('Музыка', WIDTH-MARGIN-16-16, MARGIN, spr.music, 'm'),
                    PicButton:new('Звуки', WIDTH-MARGIN-16-16, MARGIN+16+MARGIN, spr.sound, 'm'),
                    MenuButton:new('Кнопка старт', "Новая игра", 'b', 4),
                    MenuButton:new('Кнопка продолжить', "Продолжить игру", 'l', 5),
                    MenuButton:new('Кнопка помощь', "Управление", 'h', 6),
                    MenuButton:new('Кнопка авторы', "Об авторах", 'c', 7),
                    MenuButton:new('Кнопка выход', "Выход", 'e', 8)
}

_'Кнопка старт'.onclick = function(s) 
                            if SAVEEXIST then setScene('Экран предупреждения') 
                                         else setScene('Экран предыстории') 
                                         end --if
                            end --func

_'Кнопка продолжить'.visible = SAVEEXIST
_'Кнопка продолжить'.active = SAVEEXIST
_'Кнопка продолжить'.onclick = function(s) 
                                loadfromfile() 
                                lsite = lsite - 4
                                end

_'Кнопка помощь'.onclick = function(s) setScene('Экран помощи') end
_'Кнопка авторы'.onclick = function(s) setScene('Экран авторы') end
_'Кнопка выход'.onclick =  function(s)
                                if activeSceneName ~= 'Главный экран' then savetofile() end
                                sys.running(false)
                                end;
_'Музыка'.onclick = function(s) 
                    FREEZE = 10
                    if not MUSIC_ON then MUSIC_ID = mixer.aplay_chan(musicChannel, currentMusic(), VOLUME_MUSIC, -1)
                                     MUSIC_ON = true
                                else mixer.stop(MUSIC_ID)
                                     MUSIC_ON = false
                                end --if
                    end --func
_'Музыка'.draw = function (s)
            if MUSIC_ON then spr.music:blend(screen, s.x, s.y)
                        else spr.musicoff:blend(screen, s.x, s.y)
                        end --if
            end --func
_'Звуки'.onclick = function(s) 
                    FREEZE = 10
                    if not SOUND_ON then SOUND_ON = true
                                else SOUND_ON = false
                                end --if
                    end --func
_'Звуки'.draw = function (s)
            if SOUND_ON then spr.sound:blend(screen, s.x, s.y)
                        else spr.soundoff:blend(screen, s.x, s.y)
                        end --if
            end --func
            
            
            
---------------------- Экран предупреждения ----------------------------

Conteiner:new('Экран предупреждения')
_'Экран предупреждения'.obj = {Label:new(nil, WIDTH/2+8+10+16, 170, [[
Если вы начнёте новую игру, 
сохранение будет утеряно.
]]),
                  MenuButton:new('Кнопка отменить новую игру', "Вернуться в меню", 'b', 8),
                  MenuButton:new('Кнопка подтвердить новую игру', "Новая игра", 'n', 9)}

_'Кнопка отменить новую игру'.onclick = function(s) 
                                        setScene('Главный экран') 
                                        lsite = lsite - 4
                                        end
_'Кнопка подтвердить новую игру'.onclick = function(s) 
                                        setScene('Экран предыстории') 
                                        end



---------------------- Главное меню ------------------------------------

Conteiner:new('Главное меню')
_'Главное меню'.obj = {
                    Image:new(false, MARGIN*4, MARGIN*3, gfx.new('logo.png')),
                    MenuButton:new('Кнопка возврат', "Продолжить", 'b', 5),
                    _'Музыка',
                    _'Звуки',
                    _'Кнопка помощь',
                    _'Кнопка авторы',
                    _'Кнопка выход'
}

_'Кнопка возврат'.onclick = function(s) 
                            setScene('Экран игры') 
                            lsite = lsite - 4
                            end

